# Add new Test Cases to an Area or an Iteration

The `Area` field can be used in Azure DevOps to assign the Test Case to a team or to a project functionality group. The `Iteration` field can be used to assign the Test Case to a Sprint or project iteration.

The `Area` and the `Iteration` fields can be modified manually, independently from the scenario synchronization (SpecSync will not override these fields). When the Test Case is initially created by SpecSync, by default it leaves these fields unset, so they will be initialized to the project default (usually to the root area and iteration).

The [`synchronization/areaPath`](/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-areapath.md) and the [`synchronization/iterationPath`](/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-iterationpath.md) settings in the [configuration file](/specsync/reference/configuration.md) can be used to change the default behavior and set the `Area` and the `Iteration` fields to a specific value for the initial Test Case creation.

```
{
  ...
  "synchronization": {
    ...
    "areaPath": {
      "mode": "setOnLink",
      "value": "\\FrontEndTeam"
    },
    "iterationPath": {
      "mode": "setOnLink",
      "value": "\\Sprint 1"
    },
    ...
  },
  ...
}
```

The example above will initialize the `Area` field with `MyProject\FrontEndTeam` and the `Iteration` with `MyProject\Sprint 1`.

It is also possible to specify deeper area or iteration paths:

```
{
  ...
  "synchronization": {
    ...
    "iterationPath": {
      "mode": "setOnLink",
      "value": "\\Release 1\\Sprint 1"
    },
    ...
  },
  ...
}
```

The project name can be omitted from the path, as the example above shows.

{% hint style="info" %}
In the json configuration file the backslash character (`\`) has to be entered as `\\`.
{% endhint %}

{% hint style="info" %}
These settings have no impact on the Test Cases that have been created earlier. SpecSync never updates these fields, only initializes them for new Test Cases.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/features/push-features/add-new-test-cases-to-an-area-or-an-iteration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
